Update user group.
curl --request PUT \
--url https://{tenant}/api/usergroups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"description": "Devops logs and analytics access",
"name": "Devops",
"org_id": "5e9d9544a1dcd60001d0ed20",
"user_permissions": {
"analytics": "read",
"log": "read"
}
}
'import requests
url = "https://{tenant}/api/usergroups/{groupId}"
payload = {
"active": True,
"description": "Devops logs and analytics access",
"name": "Devops",
"org_id": "5e9d9544a1dcd60001d0ed20",
"user_permissions": {
"analytics": "read",
"log": "read"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
description: 'Devops logs and analytics access',
name: 'Devops',
org_id: '5e9d9544a1dcd60001d0ed20',
user_permissions: {analytics: 'read', log: 'read'}
})
};
fetch('https://{tenant}/api/usergroups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "User group updated",
"Meta": null,
"Status": "OK"
}{
"Message": "Group ID does not exist",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/usergroups/{groupId}",
"Meta": null,
"Status": "Error"
}{
"Message": "Attempted unauthorised access.",
"Meta": null,
"Status": "Error"
}UserGroup
Update user group.
Update the details of a user group. You must have either admin or user groups permission to be able to modify user groups. Note you cannot update the ResetPassword permission with this endpoint. For that you need to use Admin API. When updating a user group you also need to specify at least one permission in the user_permissions field.
PUT
/
api
/
usergroups
/
{groupId}
Update user group.
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
ID of the group you want to update.
Body
application/json
Was this page helpful?
⌘I